/*
 * Copyright (C) 2018 Pedro Perez
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.uoc.sporttrack.model;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.Date;

import edu.uoc.sporttrack.utils.Utils;

public class LogSet extends Base implements Parcelable
{
    private long id;
    private long idLog;
    private Date setDate;
    private Double weight;
    private String weightUnit;
    private int reps;
    private int rest;
    private int pos;

    public LogSet()
    {
    }

    public long getId()
    {
        return id;
    }

    public void setId(long id)
    {
        this.id = id;
    }

    public long getIdLog()
    {
        return idLog;
    }

    public void setIdLog(long idLog)
    {
        this.idLog = idLog;
    }

    public int getReps()
    {
        return reps;
    }

    public void setReps(int reps)
    {
        this.reps = reps;
    }

    public Double getWeight()
    {
        return weight;
    }

    public void setWeight(Double weight)
    {
        this.weight = weight;
    }

    public String getWeightUnit()
    {
        return weightUnit;
    }

    public void setWeightUnit(String weightUnit)
    {
        this.weightUnit = weightUnit;
    }

    public Date getSetDate()
    {
        return setDate;
    }

    public void setSetDate(Date setDate)
    {
        this.setDate = setDate;
    }

    public int getRest()
    {
        return rest;
    }

    public void setRest(int rest)
    {
        this.rest = rest;
    }

    public void setPos(int pos)
    {
        this.pos = pos;
    }

    public LogSet(Parcel parcel)
    {
        id = parcel.readLong();
        idLog = parcel.readLong();
        setDate = (Date) parcel.readSerializable();
        weight = parcel.readDouble();
        weightUnit = parcel.readString();
        reps = parcel.readInt();
        rest = parcel.readInt();
        pos = parcel.readInt();
    }

    @Override
    public int describeContents()
    {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i)
    {
        parcel.writeLong(id);
        parcel.writeLong(idLog);
        parcel.writeSerializable(setDate);
        parcel.writeDouble(weight);
        parcel.writeString(weightUnit);
        parcel.writeInt(reps);
        parcel.writeInt(rest);
        parcel.writeInt(pos);
    }

    // This is to de-serialize the object
    public static final Creator<LogSet> CREATOR = new Creator<LogSet>()
    {
        public LogSet createFromParcel(Parcel in)
        {
            return new LogSet(in);
        }

        public LogSet[] newArray(int size)
        {
            return new LogSet[size];
        }
    };

    @Override
    public String getItemSets()
    {
        return String.valueOf(pos);
    }

    @Override
    public String getItemReps()
    {
        return String.valueOf(reps);
    }

    @Override
    public String getItemRest()
    {
        return String.valueOf(rest);
    }

    @Override
    public String getItemWeight()
    {
        return Utils.formatNumber(weight) + " " + weightUnit;
    }
}
