/*
 * Copyright (C) 2018 Pedro Perez
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.uoc.sporttrack.model;

import android.location.Location;

import java.util.Date;

public class Point extends Base
{
    private long id;
    private long idSession;
    private double longitude;
    private double latitude;
    private Date date;

    public Point()
    {
    }

    public long getId()
    {
        return id;
    }

    public void setId(long id)
    {
        this.id = id;
    }

    public long getIdSession()
    {
        return idSession;
    }

    public void setIdSession(long idSession)
    {
        this.idSession = idSession;
    }

    public double getLongitude()
    {
        return longitude;
    }

    public void setLongitude(double longitude)
    {
        this.longitude = longitude;
    }

    public double getLatitude()
    {
        return latitude;
    }

    public void setLatitude(double latitude)
    {
        this.latitude = latitude;
    }

    public Date getDate()
    {
        return date;
    }

    public void setDate(Date date)
    {
        this.date = date;
    }

    public static Point createPoint(Session session, Location location)
    {
        if (location != null && session != null)
        {
            Point point = new Point();
            point.setIdSession(session.getId());
            point.setLongitude(location.getLongitude());
            point.setLatitude(location.getLatitude());
            point.setDate(new Date());
            return point;
        }

        return null;
    }

}
