/*
 * Copyright (C) 2018 Pedro Perez
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.uoc.sporttrack.model;

import android.os.Parcel;
import android.os.Parcelable;

public class Sport extends Base implements Parcelable, Itemizable
{
    private long id;
    private String name;
    private int image;
    private int icon;

    public Sport()
    {
    }

    private Sport(Parcel parcel)
    {
        id = parcel.readLong();
        name = parcel.readString();
        image = parcel.readInt();
        icon = parcel.readInt();
    }

    public long getId()
    {
        return id;
    }

    public void setId(long id)
    {
        this.id = id;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public int getImage()
    {
        return image;
    }

    public void setImage(int image)
    {
        this.image = image;
    }

    public int getIcon()
    {
        return icon;
    }

    public void setIcon(int icon)
    {
        this.icon = icon;
    }

    @Override
    public int describeContents()
    {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel parcel, int i)
    {
        parcel.writeLong(id);
        parcel.writeString(name);
        parcel.writeInt(image);
        parcel.writeInt(icon);
    }

    // This is to de-serialize the object
    public static final Creator<Sport> CREATOR = new Creator<Sport>()
    {
        public Sport createFromParcel(Parcel in)
        {
            return new Sport(in);
        }

        public Sport[] newArray(int size)
        {
            return new Sport[size];
        }
    };

    @Override
    public String getItemTitle()
    {
        return name;
    }
}
