/*
 * Copyright (C) 2018 Pedro Perez
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.uoc.sporttrack.model;

import java.util.Calendar;

public class SportDay
{
    private long idSport;
    private int image;
    private Calendar day;

    public SportDay(long idSport, Calendar day, int image)
    {
        this.idSport = idSport;
        this.image = image;
        this.day = day;
    }

    public long getIdSport()
    {
        return idSport;
    }

    public int getImage()
    {
        return image;
    }

    public void setImage(int image)
    {
        this.image = image;
    }

    public Calendar getDay()
    {
        return day;
    }

    public void setDay(Calendar day)
    {
        this.day = day;
    }

    @Override
    public boolean equals(Object o)
    {
        if (this == o)
        {
            return true;
        }
        if (o == null || getClass() != o.getClass())
        {
            return false;
        }

        SportDay sportDay = (SportDay) o;

        return day != null ? day.equals(sportDay.day) : sportDay.day == null;
    }

    @Override
    public int hashCode()
    {
        return day != null ? day.hashCode() : 0;
    }
}
